Bug 1128526 - Why this message is happened "Unable to update the volume xxxx for the drive vda"
Summary: Why this message is happened "Unable to update the volume xxxx for the drive ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Adam Litke
QA Contact: Aharon Canan
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-11 03:15 UTC by Yoshinori Takahashi
Modified: 2019-04-28 09:16 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-25 15:38:19 UTC
oVirt Team: Storage


Attachments (Terms of Use)

Comment 5 Adam Litke 2014-08-25 15:38:19 UTC
getVolumeSize on block storage is implemented using fseek() and ftell() on the /dev device file when the storage is active:

    with open(devPath, "rb") as f:
        f.seek(0, os.SEEK_END)
        return f.tell()

and it falls back to examining LVM LV metadata when storage is not active.

Hope that helps.


Note You need to log in before you can comment on or make changes to this bug.